アプリをアップロードするときに「Google Play 開発者サービスのバージョン・・・」というエラーが出るときの対処

android

AndroidアプリをGoogle Playにアップロードしようとしたら、「Google Play 開発者サービスのバージョン・・・」とかいうエラーが発生してちょっと戸惑ったので、対処法をシェアします。ちなみにAndroid Studioの場合です。

出てきたエラーはコチラです。

Google Play 開発者サービスのバージョン 5208000 を使用する APK をアップロードしました。バージョン 5100000 以下を使用してください。

ちょっと前にGoogle Play Servicesをアップデートしたのが原因みたいですね。

対処法

使うバージョンを下げます。

build.gradle

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
//compile 'com.google.android.gms:play-services:+'
compile 'com.google.android.gms:play-services:5.0.89'
}

これでアップロードすることができました。

SmallMemo SmallMemo
超シンプルなメモアプリです。
関連記事